Index: pbx/pbx_realtime.c
===================================================================
--- pbx/pbx_realtime.c	(revision 78032)
+++ pbx/pbx_realtime.c	(working copy)
@@ -203,7 +203,7 @@
 						 term_color(tmp1, app, COLOR_BRCYAN, 0, sizeof(tmp1)),
 						 term_color(tmp2, chan->name, COLOR_BRMAGENTA, 0, sizeof(tmp2)),
 						 term_color(tmp3, S_OR(appdata, ""), COLOR_BRMAGENTA, 0, sizeof(tmp3)));
-				manager_event(EVENT_FLAG_CALL, "Newexten",
+				manager_event(EVENT_FLAG_NEWEXTEN, "Newexten",
 							  "Channel: %s\r\n"
 							  "Context: %s\r\n"
 							  "Extension: %s\r\n"
Index: include/asterisk/manager.h
===================================================================
--- include/asterisk/manager.h	(revision 78032)
+++ include/asterisk/manager.h	(working copy)
@@ -55,6 +55,7 @@
 #define EVENT_FLAG_AGENT		(1 << 5) /* Ability to read/set agent info */
 #define EVENT_FLAG_USER                 (1 << 6) /* Ability to read/set user info */
 #define EVENT_FLAG_CONFIG		(1 << 7) /* Ability to modify configurations */
+#define EVENT_FLAG_NEWEXTEN		(1 << 8) /* Super verbose info */
 
 /* Export manager structures */
 #define AST_MAX_MANHEADERS 128
Index: main/manager.c
===================================================================
--- main/manager.c	(revision 78032)
+++ main/manager.c	(working copy)
@@ -125,6 +125,7 @@
 	{ EVENT_FLAG_AGENT, "agent" },
 	{ EVENT_FLAG_USER, "user" },
 	{ EVENT_FLAG_CONFIG, "config" },
+	{ EVENT_FLAG_NEWEXTEN, "newexten" },
 	{ -1, "all" },
 	{ 0, "none" },
 };
Index: main/pbx.c
===================================================================
--- main/pbx.c	(revision 78032)
+++ main/pbx.c	(working copy)
@@ -1821,7 +1821,7 @@
 					term_color(tmp3, passdata, COLOR_BRMAGENTA, 0, sizeof(tmp3)),
 					"in new stack");
 			}
-			manager_event(EVENT_FLAG_CALL, "Newexten",
+			manager_event(EVENT_FLAG_NEWEXTEN, "Newexten",
 					"Channel: %s\r\n"
 					"Context: %s\r\n"
 					"Extension: %s\r\n"
